%global debug_package %{nil}

Name:           diskonaut
Version:        0.11.0
Release:        1%{?dist}
Summary:        Terminal disk space navigator

License:        MIT
URL:            https://github.com/imsnif/diskonaut
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

%if 0%{?el8}
%else
BuildRequires:  cargo >= 1.40
BuildRequires:  rust >= 1.40
%endif

%description
%{summary}.


%prep
%autosetup -p1
%if 0%{?el8}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif

# Set codegen-units to 1
echo -e '\n[profile.release]' >> Cargo.toml
echo 'codegen-units = 1' >> Cargo.toml


%install
%if 0%{?el8}
$HOME/.cargo/bin/cargo install --root=%{buildroot}%{_prefix} --path=.
%else
cargo install --root=%{buildroot}%{_prefix} --path=.
%endif
rm -f   %{buildroot}%{_prefix}/.crates.toml \
        %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md
%{_bindir}/*


%changelog
* Wed Sep 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- Update to 0.11.0

* Fri Sep 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Wed Jul 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- Update to 0.9.0

* Thu Jul 09 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.0-1
- Update to 0.8.0

* Sat Jul 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- Update to 0.7.0

* Fri Jul 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- Update to 0.6.0

* Sat Jun 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Sun Jun 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Thu Jun 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.0-1
- Update to 0.2.0

* Wed Jun 17 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.1.0-1
- Initial package
